<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Approval - Peminjaman Sapras</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Approval Peminjaman Kendaraan</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-3">
                                    <a th:href="@{/approval/pengadaanAset/list}" class="btn btn-secondary btn-block">Pengadaan Barang (<span th:text="${jumlahApprovalPengadaan[0]}"></span>)</a>
                                </div>
                                <div class="col-md-3">
                                    <a th:href="@{/approval/peminjamanSapras/ruangan}" class="btn btn-secondary btn-block">Peminjaman Ruangan (<span th:text="${jumlahApprovalRuangan}"></span>)</a>
                                </div>
                                <div class="col-md-3">
                                    <a th:href="@{/approval/peminjamanSapras/kendaraan}" class="btn btn-primary btn-block">Peminjaman Kendaraan (<span th:text="${jumlahApproval}"></span>)</a>
                                </div>
                                <div class="col-md-3">
                                    <a th:href="@{/approval/perbaikanSapras/list}" class="btn btn-secondary btn-block">Perbaikan Sapras</a>
                                </div>
                            </div>
                        </div>
                        <div class="card-body" sec:authorize="hasAuthority('VIEW_UMUM')">
                            <div class="row">
                                <div class="col-md-12">
                                    <a th:href="@{/approval/peminjamanSapras/listKendaraan(status = 'BELUM_DIBAYAR')}" class="btn btn-success"><b><i class="fa fa-check-circle"></i> Peminjaman kendaraan yang sudah disetujui</b></a>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="card">
                                <div class="table-responsive">
                                    <table class="table table-striped">
                                        <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Pengaju</th>
                                            <th>Kendaraan yang dipinjam</th>
                                            <th>Tanggal Pinjam</th>
                                            <th>Keperluan</th>
                                            <th></th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr th:each="data, row:${listApproval}">
                                            <td th:text="${(row.index + 1)}"></td>
                                            <td th:text="${data[2]}"></td>
                                            <td th:text="${data[3]}"></td>
                                            <td th:text="${data[4]}"></td>
                                            <td th:text="${data[5]}"></td>
                                            <td>
                                                <form th:action="@{/approval/peminjamanSapras/kendaraan/approved(peminjamanKendaraan = ${data[0]}, peminjamanKendaraanApproval = ${data[1]})}" method="post">
                                                    <button class="btn btn-primary btn-sm">Approved</button>
                                                </form>
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
<!--                                <div class="card-body">-->
<!--                                    <div class="row">-->
<!--                                        <div class="col-md-4">-->
<!--                                            <a th:if="${status == 'all'}" th:href="@{/approval/peminjamanSapras/kendaraan(status = 'all')}" class="btn btn-dark btn-block">All</a>-->
<!--                                            <a th:if="${status != 'all'}" th:href="@{/approval/peminjamanSapras/kendaraan(status = 'all')}" class="btn btn-secondary btn-block">All</a>-->
<!--                                        </div>-->
<!--                                        <div class="col-md-4">-->
<!--                                            <a th:if="${status != 'WAITING'}" th:href="@{/approval/peminjamanSapras/kendaraan(status = 'WAITING')}" class="btn btn-secondary btn-block">WAITING</a>-->
<!--                                            <a th:if="${status == 'WAITING'}" th:href="@{/approval/peminjamanSapras/kendaraan(status = 'WAITING')}" class="btn btn-dark btn-block">WAITING</a>-->
<!--                                        </div>-->
<!--                                        <div class="col-md-4">-->
<!--                                            <a th:if="${status != 'APPROVED'}" th:href="@{/approval/peminjamanSapras/kendaraan(status = 'APPROVED')}" class="btn btn-secondary btn-block">APPROVED</a>-->
<!--                                            <a th:if="${status == 'APPROVED'}" th:href="@{/approval/peminjamanSapras/kendaraan(status = 'APPROVED')}" class="btn btn-dark btn-block">APPROVED</a>-->
<!--                                        </div>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                                <div class="card-body">-->
<!--                                    <div class="table-responsive">-->
<!--                                        <table class="table table-striped">-->
<!--                                            <thead>-->
<!--                                            <tr>-->
<!--                                                <th>#</th>-->
<!--                                                <th>Peminjam</th>-->
<!--                                                <th>Kendaraan</th>-->
<!--                                                <th>Tujuan</th>-->
<!--                                                <th>Pengemudi</th>-->
<!--                                                <th>Tanggal Pinjam</th>-->
<!--                                                <th>Status</th>-->
<!--                                                <th></th>-->
<!--                                            </tr>-->
<!--                                            </thead>-->
<!--                                            <tbody>-->
<!--                                            <tr th:each="data, row:${list}">-->
<!--                                                <td th:text="${(row.index + 1)}"></td>-->
<!--                                                <td th:text="${data.karyawan.namaKaryawan}"></td>-->
<!--                                                <td th:text="${data.idMobil.merek + '(' + data.idMobil.nomorPolisi + ')'}"></td>-->
<!--                                                <td th:text="${data.tujuan}"></td>-->
<!--                                                <td th:text="${data.pengemudi}"></td>-->
<!--                                                <td th:text="${data.tanggalPinjam}"></td>-->
<!--                                                <td>-->
<!--                                                    <span class="btn btn-warning btn-sm" th:if="${data.statusPeminjaman == 'WAITING'}">WAITING</span>-->
<!--                                                    <span class="btn btn-primary btn-sm" th:if="${data.statusPeminjaman == 'APPROVED'}">APPROVED</span>-->
<!--                                                    <span class="btn btn-danger btn-sm" th:if="${data.statusPeminjaman == 'REJECTED'}">REJECTED</span>-->
<!--                                                </td>-->
<!--                                                <td>-->
<!--                                                    <button class="btn btn-warning btn-sm" th:if="${data.statusPeminjaman == 'APPROVED' && data.statusPembayaran == 'BELUM_DIBAYAR'}">-->
<!--                                                        Belum dibayar-->
<!--                                                    </button>-->
<!--                                                    <button class="btn btn-success btn-sm" th:if="${data.statusPeminjaman == 'APPROVED' && data.statusPembayaran == 'SUDAH_DIBAYAR'}">-->
<!--                                                        Sudah dibayar-->
<!--                                                    </button>-->
<!--                                                    <button type="button" th:if="${data.statusPeminjaman == 'WAITING'}" class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#waiting' + data.id}">-->
<!--                                                        Approved-->
<!--                                                    </button>-->

<!--                                                    &lt;!&ndash; Modal &ndash;&gt;-->
<!--                                                    <div class="modal fade" th:if="${data.statusPeminjaman == 'WAITING'}" th:id="${'waiting' + data.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">-->
<!--                                                        <form th:action="@{/approval/peminjamanSapras/kendaraan/approved(peminjamanKendaraan = ${data.id})}" method="post">-->
<!--                                                            <div class="modal-dialog" role="document">-->
<!--                                                                <div class="modal-content">-->
<!--                                                                    <div class="modal-header">-->
<!--                                                                        <h5 class="modal-title" id="exampleModalLabel">Info !!!</h5>-->
<!--                                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">-->
<!--                                                                            <span aria-hidden="true">&times;</span>-->
<!--                                                                        </button>-->
<!--                                                                    </div>-->
<!--                                                                    <div class="modal-body">-->
<!--                                                                        <p>Apakah Anda menyetujui peminjaman kendaraan <b  th:text="${data.idMobil.merek + '(' + data.idMobil.nomorPolisi + ')'}"></b> yang diajukan oleh <b th:text="${'(' + data.karyawan.namaKaryawan + ')'}"></b> ?</p>-->
<!--                                                                    </div>-->
<!--                                                                    <div class="modal-footer">-->
<!--                                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>-->
<!--                                                                        <button type="submit" class="btn btn-primary">Setuju</button>-->
<!--                                                                    </div>-->
<!--                                                                </div>-->
<!--                                                            </div>-->
<!--                                                        </form>-->
<!--                                                    </div>-->

<!--                                                    <button type="button" th:if="${data.statusPeminjaman == 'WAITING'}"  class="btn btn-danger btn-sm" data-toggle="modal" th:data-target="${'#rected' + data.id}">-->
<!--                                                        REJECTED-->
<!--                                                    </button>-->

<!--                                                    &lt;!&ndash; Modal &ndash;&gt;-->
<!--                                                    <div class="modal fade" th:if="${data.statusPeminjaman == 'WAITING'}" th:id="${'rected' + data.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">-->
<!--                                                        <form th:action="@{/approval/peminjamanSapras/kendaraan/rejected(peminjamanKendaraan = ${data.id})}" method="post">-->
<!--                                                            <div class="modal-dialog" role="document">-->
<!--                                                                <div class="modal-content">-->
<!--                                                                    <div class="modal-header">-->
<!--                                                                        <h5 class="modal-title" id="exampleModalLabel">Info !!!</h5>-->
<!--                                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">-->
<!--                                                                            <span aria-hidden="true">&times;</span>-->
<!--                                                                        </button>-->
<!--                                                                    </div>-->
<!--                                                                    <div class="modal-body">-->
<!--                                                                        <p>Apakah anda ingin menolak peminjaman kendaraan <b  th:text="${data.idMobil.merek + '(' + data.idMobil.nomorPolisi + ')'}"></b> yang diajukan oleh <b th:text="${'(' + data.karyawan.namaKaryawan + ')'}"></b> ?</p>-->
<!--                                                                    </div>-->
<!--                                                                    <div class="modal-footer">-->
<!--                                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>-->
<!--                                                                        <button type="submit" class="btn btn-danger">Tolak</button>-->
<!--                                                                    </div>-->
<!--                                                                </div>-->
<!--                                                            </div>-->
<!--                                                        </form>-->
<!--                                                    </div>-->
<!--                                                </td>-->
<!--                                            </tr>-->
<!--                                            </tbody>-->
<!--                                        </table>-->
<!--                                    </div>-->
<!--                                </div>-->
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
</body>
</html>